Page MenuHomePhabricator

Update Zotero, as outdated and most newspapers.com variables don't/no longer map
Closed, ResolvedPublic

Description

Please see:

Zotero GitHub issue 1665
Zotero GitHub issue 1666

I raised issues about how newspapers.com citations are pulled in by Wikipedia - that not all variables are mapped to citation entries, and that Wikipedia has a standing policy of encouraging links to clips above images. (Both of the above are public and are easy to read through.)

I originally thought that these were Zotero issues, but they confirm that they are mapping more variables than (apparently) Citoid is pulling in, and their translators are up to date. They suggested that the problem is further up the chain, with Citoid, thus this issue raised to see if translators have to be updated, or if in general there's an issue with Citoid and citations of newspapers.com.

Event Timeline

Skybunny created this task.May 31 2018, 6:49 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 31 2018, 6:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mvolz added a subscriber: Mvolz.Jun 1 2018, 8:38 AM

This URL is unfortunately causing 500 internal server errors in Zotero, so the response you're getting isn't from Zotero at all. It might be solved by updating what we're running in production, but unfortunately that is stalled :/

T140539, T187194.

Mvolz changed the task status from Open to Stalled.Jun 1 2018, 8:39 AM
Mvolz triaged this task as Normal priority.
Mvolz moved this task from Backlog to Zotero on the Citoid board.Jun 2 2018, 9:56 AM
Vvjjkkii renamed this task from Most newspapers.com variables don't/no longer map to 6vbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mvolz renamed this task from 6vbaaaaaaa to newspapers.com translator no longer works with Zotero.Jul 1 2018, 10:18 AM
Mvolz changed the task status from Open to Stalled.
Mvolz lowered the priority of this task from High to Normal.
Mvolz updated the task description. (Show Details)
CommunityTechBot renamed this task from newspapers.com translator no longer works with Zotero to Most newspapers.com variables don't/no longer map.Jul 3 2018, 2:31 PM

The new zotero is now deployed but is currently outdated and needs to be updated to resolve this.

Mvolz renamed this task from Most newspapers.com variables don't/no longer map to Update Zotero, as outdated and most newspapers.com variables don't/no longer map.Dec 11 2018, 12:17 PM
Mvolz changed the task status from Stalled to Open.

Change 479020 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/zotero@master] Squashed commit of the following:

https://gerrit.wikimedia.org/r/479020

Change 479020 merged by jenkins-bot:
[mediawiki/services/zotero@master] Update Zotero to 8b8355a

https://gerrit.wikimedia.org/r/479020

Mvolz closed this task as Resolved.Jan 25 2019, 11:32 AM
Mvolz claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 25 2019, 11:32 AM